### 注意事项
1. 以下接口请求头必须加入`Authorization`，值为授权token([如何获取token](../core/Token使用文档.md))
2. 接口数据格式 `Json`

### OCR 识别
> 请求方式  ` POST http://172.20.109.105:7007/tech/ai/ocr` <br> 


| 请求参数  || 类型 | 是否必填 | 说明 |
| --- | --- |--- | --- | --- | 
| async || boolean| 否 | 是否开启异步反馈模式，默认为false |
| image || -| - | 对比时要参照的客户照片 |
| |type | String| 是 | 身份证人像面 ：idcard_front <br/>身份证国徽面 ：idcard_back<br/>银行卡 ：creditcard |
| |origin | String| 否 | image的数据类型。<br/> base64字符串：self (**base64内容需在400k以内**)<br/>来自文件服务器：fds （**带压缩效果，推荐使用，详见[fds使用文档](../file/文件服务器接口.md)）**<br/>图片链接：uri <br/>默认为 self |
| |data | String| 是 | 图片数据（base64，文件服务器文件路径或链接） |
| |cutFlag | boolean| 否 | type = idcard_front 时有效<br/>true：返回身份证头像<br/>默认 false |

| 返回参数  ||| 类型 | 是否必返 | 说明 |
| --- | --- | --- | --- | --- | --- |
| errcode ||| Num| 是 | 0交易成功<br>其它为异常情况 |
| errmsg ||| String | 否 | errcode不为0时有值 |
| data ||| - | - | 包含数据见下 |
| |status || String | 是 | “SUCCESS”为业务成功 |
| |traceNo || String | 是 | 当前业务的唯一id |
| |result || String | 是 | 业务结果 |
| ||type | String | 是 | 原样返回入参type |
| || **身份证人像面返回**|  |  |  |
| ||name | String | 是 | 姓名 |
| ||sex | String | 是 | 性别 |
| ||nation | String | 是 | 名族 |
| ||birth | String | 是 | 出生日期 |
| ||address | String | 是 | 住址 |
| ||idNum | String | 是 | 身份证号码 |
| ||photo | String |否|	身份证头像的base64字符串 |
| || **身份证国徽面返回**|  |  |  |
| ||authority | String |是|	发证机关 |
| ||validDate | String |是|	证件有效期 |
| || **银行卡返回**|  |  |  |
| ||cardNo | String |是| 卡号 |
| ||bankInfo | String |是|	银行信息 |
| ||validDate | String |是|	有效期 |

请求示例

```
{
     "async":false,
     "image":{
         "type":"idcard_back",
         "origin":"fds",
         "data":"xxxxxxxxxxxxxx.jpg"
     }
}
```

返回示例

```
{
    "errcode":0,
    "data":{
        "status":"SUCCESS",
        "traceNo":"45646513218465123",
        "result":{
            "type":"true",
            "authority":"铜陵公安局",
            "validDate":"2018.06.01-2028.06.01"
        }, 
    },
    "errmsg":"SUCCESS"
}
```